/*
   Here is a simple example of Java's "conditional operator".

   The conditional operator is not used anywhere near as much
   as if-statements, but every once in a while it is useful.
*/
import java.util.Scanner;

public class ConditionalOperator
{
   public static void main( String[] args )
   {
      Scanner keyboard = new Scanner(System.in);

      // read in two integers from the user
      System.out.print( "Please enter your first integer: " );
      int firstInt = keyboard.nextInt();

      System.out.print( "Please enter your second integer: " );
      int secondInt = keyboard.nextInt();

      // Let us find the maximum of these two integers.
      int max;

      // Here is something that seems reasonable but you
      // cannot do with an if-statement (i.e., this doesn't compile).
      max = if (firstInt >= secondInt) firstInt else secondInt;

      // This is an example where you can use the "conditional operator"
      max = (firstInt >= secondInt) ? firstInt : secondInt;

      System.out.println("Your larger integer was " + max +"." );

   }//main()
}
